#####  Created by:
#####  Tactical Display Icon Editor



import App
import GlobalPropertyTemplates

# Local Templates
#################################################
BirdofPrey = App.ShipProperty_Create("Bird of Prey")

BirdofPrey.SetGenus(1)
BirdofPrey.SetSpecies(401)
BirdofPrey.SetMass(45.000000)
BirdofPrey.SetRotationalInertia(2000.000000)
BirdofPrey.SetShipName("Bird of Prey")
BirdofPrey.SetModelFilename("data/Models/Ships/Birdofprey.nif")
BirdofPrey.SetDamageResolution(10.000000)
BirdofPrey.SetAffiliation(0)
BirdofPrey.SetStationary(0)
BirdofPrey.SetAIString("NonFedAttack")
BirdofPrey.SetDeathExplosionSound("g_lsDeathExplosions")
App.g_kModelPropertyManager.RegisterLocalTemplate(BirdofPrey)
#################################################
FwdTorpedo = App.TorpedoTubeProperty_Create("Fwd Torpedo")

FwdTorpedo.SetMaxCondition(2200.000000)
FwdTorpedo.SetCritical(0)
FwdTorpedo.SetTargetable(1)
FwdTorpedo.SetPrimary(1)
FwdTorpedo.SetPosition(0.000000, 0.270000, -0.020000)
FwdTorpedo.SetPosition2D(70.000000, 15.000000)
FwdTorpedo.SetRepairComplexity(3.000000)
FwdTorpedo.SetDisabledPercentage(0.750000)
FwdTorpedo.SetRadius(0.080000)
FwdTorpedo.SetDumbfire(1)
FwdTorpedo.SetWeaponID(1)
FwdTorpedo.SetGroups(1)
FwdTorpedo.SetDamageRadiusFactor(0.200000)
FwdTorpedo.SetIconNum(370)
FwdTorpedo.SetIconPositionX(75.000000)
FwdTorpedo.SetIconPositionY(35.000000)
FwdTorpedo.SetIconAboveShip(1)
FwdTorpedo.SetImmediateDelay(0.250000)
FwdTorpedo.SetReloadDelay(20.000000)
FwdTorpedo.SetMaxReady(1)
FwdTorpedoDirection = App.TGPoint3()
FwdTorpedoDirection.SetXYZ(0.000000, 1.000000, 0.000000)
FwdTorpedo.SetDirection(FwdTorpedoDirection)
FwdTorpedoRight = App.TGPoint3()
FwdTorpedoRight.SetXYZ(1.000000, 0.000000, 0.000000)
FwdTorpedo.SetRight(FwdTorpedoRight)
App.g_kModelPropertyManager.RegisterLocalTemplate(FwdTorpedo)
#################################################
ShieldGenerator = App.ShieldProperty_Create("Shield Generator")

ShieldGenerator.SetMaxCondition(5000.000000)
ShieldGenerator.SetCritical(0)
ShieldGenerator.SetTargetable(1)
ShieldGenerator.SetPrimary(1)
ShieldGenerator.SetPosition(0.000000, -0.010000, -0.030000)
ShieldGenerator.SetPosition2D(129.000000, 96.000000)
ShieldGenerator.SetRepairComplexity(2.000000)
ShieldGenerator.SetDisabledPercentage(0.750000)
ShieldGenerator.SetRadius(0.120000)
ShieldGenerator.SetNormalPowerPerSecond(180.000000)
ShieldGeneratorShieldGlowColor = App.TGColorA()
ShieldGeneratorShieldGlowColor.SetRGBA(1.000000, 0.000000, 0.000000, 0.466667)
ShieldGenerator.SetShieldGlowColor(ShieldGeneratorShieldGlowColor)
ShieldGenerator.SetShieldGlowDecay(1.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.FRONT_SHIELDS, 600.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.REAR_SHIELDS, 600.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.TOP_SHIELDS, 600.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.BOTTOM_SHIELDS, 600.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.LEFT_SHIELDS, 600.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.RIGHT_SHIELDS, 600.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.FRONT_SHIELDS, 3.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.REAR_SHIELDS, 3.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.TOP_SHIELDS, 3.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.BOTTOM_SHIELDS, 3.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.LEFT_SHIELDS, 3.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.RIGHT_SHIELDS, 3.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(ShieldGenerator)
#################################################
Hull = App.HullProperty_Create("Hull")

Hull.SetMaxCondition(4000.000000)
Hull.SetCritical(1)
Hull.SetTargetable(1)
Hull.SetPrimary(1)
Hull.SetPosition(0.000000, 0.000000, 0.000000)
Hull.SetPosition2D(53.000000, 73.000000)
Hull.SetRepairComplexity(3.000000)
Hull.SetDisabledPercentage(0.000000)
Hull.SetRadius(0.100000)
App.g_kModelPropertyManager.RegisterLocalTemplate(Hull)
#################################################
SensorArray = App.SensorProperty_Create("Sensor Array")

SensorArray.SetMaxCondition(6000.000000)
SensorArray.SetCritical(0)
SensorArray.SetTargetable(1)
SensorArray.SetPrimary(1)
SensorArray.SetPosition(0.000000, 0.010000, -0.030000)
SensorArray.SetPosition2D(105.000000, 112.000000)
SensorArray.SetRepairComplexity(1.000000)
SensorArray.SetDisabledPercentage(0.500000)
SensorArray.SetRadius(0.080000)
SensorArray.SetNormalPowerPerSecond(50.000000)
SensorArray.SetBaseSensorRange(1600.000000)
SensorArray.SetMaxProbes(10)
App.g_kModelPropertyManager.RegisterLocalTemplate(SensorArray)
#################################################
WarpCore = App.PowerProperty_Create("Warp Core")

WarpCore.SetMaxCondition(2400.000000)
WarpCore.SetCritical(1)
WarpCore.SetTargetable(1)
WarpCore.SetPrimary(1)
WarpCore.SetPosition(0.000000, -0.150000, 0.000000)
WarpCore.SetPosition2D(124.000000, 117.000000)
WarpCore.SetRepairComplexity(2.000000)
WarpCore.SetDisabledPercentage(0.500000)
WarpCore.SetRadius(0.190000)
WarpCore.SetMainBatteryLimit(80000.000000)
WarpCore.SetBackupBatteryLimit(40000.000000)
WarpCore.SetMainConduitCapacity(470.000000)
WarpCore.SetBackupConduitCapacity(70.000000)
WarpCore.SetPowerOutput(400.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(WarpCore)
#################################################
ImpulseEngines = App.ImpulseEngineProperty_Create("Impulse Engines")

ImpulseEngines.SetMaxCondition(2400.000000)
ImpulseEngines.SetCritical(0)
ImpulseEngines.SetTargetable(1)
ImpulseEngines.SetPrimary(1)
ImpulseEngines.SetPosition(0.060000, -0.240000, -0.001000)
ImpulseEngines.SetPosition2D(64.000000, 103.000000)
ImpulseEngines.SetRepairComplexity(4.000000)
ImpulseEngines.SetDisabledPercentage(0.500000)
ImpulseEngines.SetRadius(0.120000)
ImpulseEngines.SetNormalPowerPerSecond(50.000000)
ImpulseEngines.SetMaxAccel(8.000000)
ImpulseEngines.SetMaxAngularAccel(0.350000)
ImpulseEngines.SetMaxAngularVelocity(0.500000)
ImpulseEngines.SetMaxSpeed(16.000000)
ImpulseEngines.SetEngineSound("Klingon Engines")
App.g_kModelPropertyManager.RegisterLocalTemplate(ImpulseEngines)
#################################################
DisruptorCannons = App.WeaponSystemProperty_Create("Disruptor Cannons")

DisruptorCannons.SetMaxCondition(600.000000)
DisruptorCannons.SetCritical(0)
DisruptorCannons.SetTargetable(0)
DisruptorCannons.SetPrimary(1)
DisruptorCannons.SetPosition(0.000000, 0.000000, 0.000000)
DisruptorCannons.SetPosition2D(64.000000, 44.000000)
DisruptorCannons.SetRepairComplexity(9.000000)
DisruptorCannons.SetDisabledPercentage(0.750000)
DisruptorCannons.SetRadius(0.100000)
DisruptorCannons.SetNormalPowerPerSecond(80.000000)
DisruptorCannons.SetWeaponSystemType(DisruptorCannons.WST_PULSE)
DisruptorCannons.SetSingleFire(0)
DisruptorCannons.SetAimedWeapon(0)
kFiringChainString = App.TGString()
kFiringChainString.SetString("")
DisruptorCannons.SetFiringChainString(kFiringChainString)
App.g_kModelPropertyManager.RegisterLocalTemplate(DisruptorCannons)
#################################################
WarpEngines = App.WarpEngineProperty_Create("Warp Engines")

WarpEngines.SetMaxCondition(3200.000000)
WarpEngines.SetCritical(0)
WarpEngines.SetTargetable(0)
WarpEngines.SetPrimary(1)
WarpEngines.SetPosition(0.000000, -0.150000, 0.000000)
WarpEngines.SetPosition2D(64.000000, 104.000000)
WarpEngines.SetRepairComplexity(3.000000)
WarpEngines.SetDisabledPercentage(0.750000)
WarpEngines.SetRadius(0.100000)
WarpEngines.SetNormalPowerPerSecond(0.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(WarpEngines)
#################################################
Torpedoes = App.TorpedoSystemProperty_Create("Torpedoes")

Torpedoes.SetMaxCondition(2200.000000)
Torpedoes.SetCritical(0)
Torpedoes.SetTargetable(0)
Torpedoes.SetPrimary(1)
Torpedoes.SetPosition(0.000000, 0.260000, -0.027000)
Torpedoes.SetPosition2D(64.000000, 10.000000)
Torpedoes.SetRepairComplexity(3.000000)
Torpedoes.SetDisabledPercentage(0.750000)
Torpedoes.SetRadius(0.010000)
Torpedoes.SetNormalPowerPerSecond(50.000000)
Torpedoes.SetWeaponSystemType(Torpedoes.WST_TORPEDO)
Torpedoes.SetSingleFire(0)
Torpedoes.SetAimedWeapon(1)
kFiringChainString = App.TGString()
kFiringChainString.SetString("")
Torpedoes.SetFiringChainString(kFiringChainString)
Torpedoes.SetMaxTorpedoes(0, 100)
Torpedoes.SetTorpedoScript(0, "Tactical.Projectiles.KlingonTorpedo")
Torpedoes.SetNumAmmoTypes(1)
App.g_kModelPropertyManager.RegisterLocalTemplate(Torpedoes)
#################################################
CloakingDevice = App.CloakingSubsystemProperty_Create("Cloaking Device")

CloakingDevice.SetMaxCondition(800.000000)
CloakingDevice.SetCritical(0)
CloakingDevice.SetTargetable(1)
CloakingDevice.SetPrimary(1)
CloakingDevice.SetPosition(0.000000, -0.010000, 0.000000)
CloakingDevice.SetPosition2D(83.000000, 117.000000)
CloakingDevice.SetRepairComplexity(6.000000)
CloakingDevice.SetDisabledPercentage(0.750000)
CloakingDevice.SetRadius(0.070000)
CloakingDevice.SetNormalPowerPerSecond(380.000000)
CloakingDevice.SetCloakStrength(90.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(CloakingDevice)
#################################################
ImpulseEngine = App.EngineProperty_Create("Impulse Engine")

ImpulseEngine.SetMaxCondition(2400.000000)
ImpulseEngine.SetCritical(0)
ImpulseEngine.SetTargetable(1)
ImpulseEngine.SetPrimary(1)
ImpulseEngine.SetPosition(-0.060000, -0.240000, -0.001000)
ImpulseEngine.SetPosition2D(64.000000, 85.000000)
ImpulseEngine.SetRepairComplexity(4.000000)
ImpulseEngine.SetDisabledPercentage(0.500000)
ImpulseEngine.SetRadius(0.150000)
ImpulseEngine.SetEngineType(ImpulseEngine.EP_IMPULSE)
App.g_kModelPropertyManager.RegisterLocalTemplate(ImpulseEngine)
#################################################
PortWarp = App.EngineProperty_Create("Port Warp")

PortWarp.SetMaxCondition(1600.000000)
PortWarp.SetCritical(0)
PortWarp.SetTargetable(1)
PortWarp.SetPrimary(1)
PortWarp.SetPosition(-0.100000, -0.100000, 0.000000)
PortWarp.SetPosition2D(46.000000, 78.000000)
PortWarp.SetRepairComplexity(3.000000)
PortWarp.SetDisabledPercentage(0.750000)
PortWarp.SetRadius(0.170000)
PortWarp.SetEngineType(PortWarp.EP_WARP)
App.g_kModelPropertyManager.RegisterLocalTemplate(PortWarp)
#################################################
StarWarp = App.EngineProperty_Create("Star Warp")

StarWarp.SetMaxCondition(1600.000000)
StarWarp.SetCritical(0)
StarWarp.SetTargetable(1)
StarWarp.SetPrimary(1)
StarWarp.SetPosition(0.100000, -0.100000, 0.000000)
StarWarp.SetPosition2D(82.000000, 78.000000)
StarWarp.SetRepairComplexity(3.000000)
StarWarp.SetDisabledPercentage(0.750000)
StarWarp.SetRadius(0.170000)
StarWarp.SetEngineType(StarWarp.EP_WARP)
App.g_kModelPropertyManager.RegisterLocalTemplate(StarWarp)
#################################################
Engineering = App.RepairSubsystemProperty_Create("Engineering")

Engineering.SetMaxCondition(400.000000)
Engineering.SetCritical(0)
Engineering.SetTargetable(0)
Engineering.SetPrimary(1)
Engineering.SetPosition(0.000000, -0.100000, -0.035000)
Engineering.SetPosition2D(64.000000, 80.000000)
Engineering.SetRepairComplexity(4.000000)
Engineering.SetDisabledPercentage(0.100000)
Engineering.SetRadius(0.150000)
Engineering.SetNormalPowerPerSecond(1.000000)
Engineering.SetMaxRepairPoints(16.000000)
Engineering.SetNumRepairTeams(1)
App.g_kModelPropertyManager.RegisterLocalTemplate(Engineering)
#################################################
KFT = App.ShipProperty_Create("KFT")

KFT.SetGenus(1)
KFT.SetSpecies(401)
KFT.SetMass(25.000000)
KFT.SetRotationalInertia(1000.000000)
KFT.SetShipName("KFT")
KFT.SetModelFilename("data/Models/Ships/kft.nif")
KFT.SetDamageResolution(10.000000)
KFT.SetAffiliation(0)
KFT.SetStationary(0)
KFT.SetAIString("NonFedAttack")
KFT.SetDeathExplosionSound("g_lsDeathExplosions")
App.g_kModelPropertyManager.RegisterLocalTemplate(KFT)
#################################################
ViewscreenForward = App.PositionOrientationProperty_Create("ViewscreenForward")

ViewscreenForwardForward = App.TGPoint3()
ViewscreenForwardForward.SetXYZ(0.000000, 1.000000, 0.000000)
ViewscreenForwardUp = App.TGPoint3()
ViewscreenForwardUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenForwardRight = App.TGPoint3()
ViewscreenForwardRight.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenForward.SetOrientation(ViewscreenForwardForward, ViewscreenForwardUp, ViewscreenForwardRight)
ViewscreenForwardPosition = App.TGPoint3()
ViewscreenForwardPosition.SetXYZ(0.000000, 0.320000, 0.000000)
ViewscreenForward.SetPosition(ViewscreenForwardPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenForward)
#################################################
ViewscreenBack = App.PositionOrientationProperty_Create("ViewscreenBack")

ViewscreenBackForward = App.TGPoint3()
ViewscreenBackForward.SetXYZ(0.000000, -1.000000, 0.000000)
ViewscreenBackUp = App.TGPoint3()
ViewscreenBackUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenBackRight = App.TGPoint3()
ViewscreenBackRight.SetXYZ(-1.000000, 0.000000, 0.000000)
ViewscreenBack.SetOrientation(ViewscreenBackForward, ViewscreenBackUp, ViewscreenBackRight)
ViewscreenBackPosition = App.TGPoint3()
ViewscreenBackPosition.SetXYZ(0.000000, -0.300000, 0.000000)
ViewscreenBack.SetPosition(ViewscreenBackPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenBack)
#################################################
ViewscreenLeft = App.PositionOrientationProperty_Create("ViewscreenLeft")

ViewscreenLeftForward = App.TGPoint3()
ViewscreenLeftForward.SetXYZ(-1.000000, 0.000000, 0.000000)
ViewscreenLeftUp = App.TGPoint3()
ViewscreenLeftUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenLeftRight = App.TGPoint3()
ViewscreenLeftRight.SetXYZ(0.000000, 1.000000, 0.000000)
ViewscreenLeft.SetOrientation(ViewscreenLeftForward, ViewscreenLeftUp, ViewscreenLeftRight)
ViewscreenLeftPosition = App.TGPoint3()
ViewscreenLeftPosition.SetXYZ(0.000000, 0.320000, 0.000000)
ViewscreenLeft.SetPosition(ViewscreenLeftPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenLeft)
#################################################
ViewscreenRight = App.PositionOrientationProperty_Create("ViewscreenRight")

ViewscreenRightForward = App.TGPoint3()
ViewscreenRightForward.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenRightUp = App.TGPoint3()
ViewscreenRightUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenRightRight = App.TGPoint3()
ViewscreenRightRight.SetXYZ(0.000000, -1.000000, 0.000000)
ViewscreenRight.SetOrientation(ViewscreenRightForward, ViewscreenRightUp, ViewscreenRightRight)
ViewscreenRightPosition = App.TGPoint3()
ViewscreenRightPosition.SetXYZ(0.000000, 0.320000, 0.000000)
ViewscreenRight.SetPosition(ViewscreenRightPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenRight)
#################################################
ViewscreenUp = App.PositionOrientationProperty_Create("ViewscreenUp")

ViewscreenUpForward = App.TGPoint3()
ViewscreenUpForward.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenUpUp = App.TGPoint3()
ViewscreenUpUp.SetXYZ(0.000000, -1.000000, 0.000000)
ViewscreenUpRight = App.TGPoint3()
ViewscreenUpRight.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenUp.SetOrientation(ViewscreenUpForward, ViewscreenUpUp, ViewscreenUpRight)
ViewscreenUpPosition = App.TGPoint3()
ViewscreenUpPosition.SetXYZ(0.000000, 0.320000, 0.000000)
ViewscreenUp.SetPosition(ViewscreenUpPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenUp)
#################################################
ViewscreenDown = App.PositionOrientationProperty_Create("ViewscreenDown")

ViewscreenDownForward = App.TGPoint3()
ViewscreenDownForward.SetXYZ(0.000000, 0.000000, -1.000000)
ViewscreenDownUp = App.TGPoint3()
ViewscreenDownUp.SetXYZ(0.000000, 1.000000, 0.000000)
ViewscreenDownRight = App.TGPoint3()
ViewscreenDownRight.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenDown.SetOrientation(ViewscreenDownForward, ViewscreenDownUp, ViewscreenDownRight)
ViewscreenDownPosition = App.TGPoint3()
ViewscreenDownPosition.SetXYZ(0.000000, 0.320000, 0.000000)
ViewscreenDown.SetPosition(ViewscreenDownPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenDown)
#################################################
FirstPersonCamera = App.PositionOrientationProperty_Create("FirstPersonCamera")

FirstPersonCameraForward = App.TGPoint3()
FirstPersonCameraForward.SetXYZ(0.000000, 1.000000, 0.000000)
FirstPersonCameraUp = App.TGPoint3()
FirstPersonCameraUp.SetXYZ(0.000000, 0.000000, 1.000000)
FirstPersonCameraRight = App.TGPoint3()
FirstPersonCameraRight.SetXYZ(1.000000, 0.000000, 0.000000)
FirstPersonCamera.SetOrientation(FirstPersonCameraForward, FirstPersonCameraUp, FirstPersonCameraRight)
FirstPersonCameraPosition = App.TGPoint3()
FirstPersonCameraPosition.SetXYZ(0.000000, 0.320000, 0.000000)
FirstPersonCamera.SetPosition(FirstPersonCameraPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(FirstPersonCamera)
#################################################
Impulse2 = App.ImpulseEngineProperty_Create("Impulse 2")

Impulse2.SetMaxCondition(2400.000000)
Impulse2.SetCritical(0)
Impulse2.SetTargetable(1)
Impulse2.SetPrimary(1)
Impulse2.SetPosition(-0.060000, -0.240000, 0.001000)
Impulse2.SetPosition2D(64.000000, 104.000000)
Impulse2.SetRepairComplexity(4.000000)
Impulse2.SetDisabledPercentage(0.500000)
Impulse2.SetRadius(0.120000)
Impulse2.SetNormalPowerPerSecond(50.000000)
Impulse2.SetMaxAccel(8.000000)
Impulse2.SetMaxAngularAccel(0.350000)
Impulse2.SetMaxAngularVelocity(0.500000)
Impulse2.SetMaxSpeed(16.000000)
Impulse2.SetEngineSound("Klingon Engines")
App.g_kModelPropertyManager.RegisterLocalTemplate(Impulse2)
#################################################
Cannon1 = App.PulseWeaponProperty_Create("Cannon 1")

Cannon1.SetMaxCondition(200.000000)
Cannon1.SetCritical(0)
Cannon1.SetTargetable(1)
Cannon1.SetPrimary(1)
Cannon1.SetPosition(-0.271292, 0.025000, -0.039122)
Cannon1.SetPosition2D(2.000000, 54.000000)
Cannon1.SetRepairComplexity(1.000000)
Cannon1.SetDisabledPercentage(0.500000)
Cannon1.SetRadius(0.010000)
Cannon1.SetDumbfire(1)
Cannon1.SetWeaponID(0)
Cannon1.SetGroups(0)
Cannon1.SetDamageRadiusFactor(0.300000)
Cannon1.SetIconNum(365)
Cannon1.SetIconPositionX(41.000000)
Cannon1.SetIconPositionY(73.000000)
Cannon1.SetIconAboveShip(1)
Cannon1.SetFireSound("SFRD_NXmirPulse")
Cannon1.SetMaxCharge(5.000000)
Cannon1.SetMaxDamage(25.000000)
Cannon1.SetMaxDamageDistance(100.000000)
Cannon1.SetMinFiringCharge(3.000000)
Cannon1.SetNormalDischargeRate(1.000000)
Cannon1.SetRechargeRate(0.300000)
Cannon1.SetIndicatorIconNum(0)
Cannon1.SetIndicatorIconPositionX(0.000000)
Cannon1.SetIndicatorIconPositionY(0.000000)
Cannon1Forward = App.TGPoint3()
Cannon1Forward.SetXYZ(0.000000, 1.000000, 0.000000)
Cannon1Up = App.TGPoint3()
Cannon1Up.SetXYZ(0.000000, 0.000000, 1.000000)
Cannon1.SetOrientation(Cannon1Forward, Cannon1Up)
Cannon1.SetArcWidthAngles(0.349066, -0.349066)
Cannon1.SetArcHeightAngles(0.349066, -0.523599)
Cannon1.SetCooldownTime(0.300000)
Cannon1.SetModuleName("Tactical.Projectiles.SFRD_NXmirPulse")
App.g_kModelPropertyManager.RegisterLocalTemplate(Cannon1)
#################################################
StarCannon = App.PulseWeaponProperty_Create("Star Cannon")

StarCannon.SetMaxCondition(200.000000)
StarCannon.SetCritical(0)
StarCannon.SetTargetable(1)
StarCannon.SetPrimary(1)
StarCannon.SetPosition(0.276063, 0.022000, -0.039629)
StarCannon.SetPosition2D(122.000000, 54.000000)
StarCannon.SetRepairComplexity(1.000000)
StarCannon.SetDisabledPercentage(0.500000)
StarCannon.SetRadius(0.010000)
StarCannon.SetDumbfire(1)
StarCannon.SetWeaponID(0)
StarCannon.SetGroups(0)
StarCannon.SetDamageRadiusFactor(0.300000)
StarCannon.SetIconNum(365)
StarCannon.SetIconPositionX(115.000000)
StarCannon.SetIconPositionY(73.000000)
StarCannon.SetIconAboveShip(1)
StarCannon.SetFireSound("SFRD_NXmirPulse")
StarCannon.SetMaxCharge(5.000000)
StarCannon.SetMaxDamage(25.000000)
StarCannon.SetMaxDamageDistance(100.000000)
StarCannon.SetMinFiringCharge(3.000000)
StarCannon.SetNormalDischargeRate(1.000000)
StarCannon.SetRechargeRate(0.300000)
StarCannon.SetIndicatorIconNum(0)
StarCannon.SetIndicatorIconPositionX(0.000000)
StarCannon.SetIndicatorIconPositionY(0.000000)
StarCannonForward = App.TGPoint3()
StarCannonForward.SetXYZ(0.000000, 1.000000, 0.000000)
StarCannonUp = App.TGPoint3()
StarCannonUp.SetXYZ(0.000000, 0.000000, 1.000000)
StarCannon.SetOrientation(StarCannonForward, StarCannonUp)
StarCannon.SetArcWidthAngles(0.349066, -0.349066)
StarCannon.SetArcHeightAngles(0.349066, -0.523599)
StarCannon.SetCooldownTime(0.300000)
StarCannon.SetModuleName("Tactical.Projectiles.SFRD_NXmirPulse")
App.g_kModelPropertyManager.RegisterLocalTemplate(StarCannon)
#################################################
cannon2 = App.PulseWeaponProperty_Create("cannon 2")

cannon2.SetMaxCondition(200.000000)
cannon2.SetCritical(0)
cannon2.SetTargetable(1)
cannon2.SetPrimary(1)
cannon2.SetPosition(-0.271917, 0.024000, -0.052311)
cannon2.SetPosition2D(14.000000, 54.000000)
cannon2.SetRepairComplexity(1.000000)
cannon2.SetDisabledPercentage(0.500000)
cannon2.SetRadius(0.010000)
cannon2.SetDumbfire(1)
cannon2.SetWeaponID(0)
cannon2.SetGroups(0)
cannon2.SetDamageRadiusFactor(0.300000)
cannon2.SetIconNum(365)
cannon2.SetIconPositionX(51.000000)
cannon2.SetIconPositionY(73.000000)
cannon2.SetIconAboveShip(1)
cannon2.SetFireSound("SFRD_NXmirPulse")
cannon2.SetMaxCharge(5.000000)
cannon2.SetMaxDamage(25.000000)
cannon2.SetMaxDamageDistance(100.000000)
cannon2.SetMinFiringCharge(3.000000)
cannon2.SetNormalDischargeRate(1.000000)
cannon2.SetRechargeRate(0.300000)
cannon2.SetIndicatorIconNum(0)
cannon2.SetIndicatorIconPositionX(0.000000)
cannon2.SetIndicatorIconPositionY(0.000000)
cannon2Forward = App.TGPoint3()
cannon2Forward.SetXYZ(0.000000, 1.000000, 0.000000)
cannon2Up = App.TGPoint3()
cannon2Up.SetXYZ(0.000000, 0.000000, 1.000000)
cannon2.SetOrientation(cannon2Forward, cannon2Up)
cannon2.SetArcWidthAngles(0.349066, -0.349066)
cannon2.SetArcHeightAngles(0.349066, -0.523599)
cannon2.SetCooldownTime(0.300000)
cannon2.SetModuleName("Tactical.Projectiles.SFRD_NXmirPulse")
App.g_kModelPropertyManager.RegisterLocalTemplate(cannon2)
#################################################
Starcannon2 = App.PulseWeaponProperty_Create("Star cannon 2")

Starcannon2.SetMaxCondition(200.000000)
Starcannon2.SetCritical(0)
Starcannon2.SetTargetable(1)
Starcannon2.SetPrimary(1)
Starcannon2.SetPosition(0.274601, 0.024000, -0.052089)
Starcannon2.SetPosition2D(109.000000, 54.000000)
Starcannon2.SetRepairComplexity(1.000000)
Starcannon2.SetDisabledPercentage(0.500000)
Starcannon2.SetRadius(0.010000)
Starcannon2.SetDumbfire(1)
Starcannon2.SetWeaponID(0)
Starcannon2.SetGroups(0)
Starcannon2.SetDamageRadiusFactor(0.300000)
Starcannon2.SetIconNum(365)
Starcannon2.SetIconPositionX(105.000000)
Starcannon2.SetIconPositionY(73.000000)
Starcannon2.SetIconAboveShip(1)
Starcannon2.SetFireSound("SFRD_NXmirPulse")
Starcannon2.SetMaxCharge(5.000000)
Starcannon2.SetMaxDamage(25.000000)
Starcannon2.SetMaxDamageDistance(100.000000)
Starcannon2.SetMinFiringCharge(3.000000)
Starcannon2.SetNormalDischargeRate(1.000000)
Starcannon2.SetRechargeRate(0.300000)
Starcannon2.SetIndicatorIconNum(0)
Starcannon2.SetIndicatorIconPositionX(0.000000)
Starcannon2.SetIndicatorIconPositionY(0.000000)
Starcannon2Forward = App.TGPoint3()
Starcannon2Forward.SetXYZ(0.000000, 1.000000, 0.000000)
Starcannon2Up = App.TGPoint3()
Starcannon2Up.SetXYZ(0.000000, 0.000000, 1.000000)
Starcannon2.SetOrientation(Starcannon2Forward, Starcannon2Up)
Starcannon2.SetArcWidthAngles(0.349066, -0.349066)
Starcannon2.SetArcHeightAngles(0.349066, -0.523599)
Starcannon2.SetCooldownTime(0.300000)
Starcannon2.SetModuleName("Tactical.Projectiles.SFRD_NXmirPulse")
App.g_kModelPropertyManager.RegisterLocalTemplate(Starcannon2)

# Property Set
def LoadPropertySet(pObj):
	"Sets up the object's properties."
	prop = App.g_kModelPropertyManager.FindByName("Hull", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Shield Generator", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Warp Core", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Disruptor Cannons", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Torpedoes", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Fwd Torpedo", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Impulse Engines", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Impulse Engine", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Warp Engines", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Port Warp", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Star Warp", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cloaking Device", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Sensor Array", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Engineering", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenForward", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenBack", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenLeft", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenRight", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenUp", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenDown", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("FirstPersonCamera", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("KFT", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Impulse 2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cannon 1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Star Cannon", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("cannon 2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Star cannon 2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
